This page describes Revolution release 149.
Search these docs, or ask Revo a question — answers link the pages they came from.
Triggers the run events for specificed schedules
POST
/api/v1/{tenantId}/run-schedules
Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” tenantId
required
string
Request Body
Section titled “Request Body ”object
simulationSpeed
number format: float
schedulesToRun
Array<object>
object
scheduleId
string
threadCount
integer format: int32
startSettings
object
mode
string
startDateTime
string format: date-time
predecessorScheduleThreadId
integer format: int64
predecessorThreadIndex
integer format: int32
useLastThread
boolean
runParameterValues
object
values
Array<object>
object
name
string
value
string
Responses
Section titled “ Responses ”OK
object
startedRuns
Array<object>
object
scheduleId
string
threadId
integer format: int64
bookings
Array<object>
object
scheduleId
string
bookingId
string
startAtUtc
string format: date-time
Bad Request
object
message
string
code
string
retryable
boolean
field
string
data
Not Found
object
message
string
code
string
retryable
boolean
field
string
data
Conflict
object
message
string
code
string
retryable
boolean
field
string
data
Too Many Requests
object
message
string
code
string
retryable
boolean
field
string
data
Service Unavailable
object
message
string
code
string
retryable
boolean
field
string
data
Gateway Timeout
object
message
string
code
string
retryable
boolean
field
string
data